net.sourceforge.pmd.renderers

## Class EmacsRenderer

- java.lang.Object
- - net.sourceforge.pmd.AbstractPropertySource
  - - net.sourceforge.pmd.renderers.AbstractRenderer
    - - net.sourceforge.pmd.renderers.AbstractIncrementingRenderer
      - - net.sourceforge.pmd.renderers.EmacsRenderer

All Implemented Interfaces:
  PropertySource, Renderer

    public class EmacsRenderer
    extends AbstractIncrementingRenderer

Renderer to GNU Emacs parsable format.

### Field Summary

Fields
`protected static String` `EOL`
`static String` `NAME`

### Fields inherited from class net.sourceforge.pmd.renderers.AbstractIncrementingRenderer

`errors, suppressed`

### Fields inherited from class net.sourceforge.pmd.renderers.AbstractRenderer

`description, name, propertyDefinitions, showSuppressedViolations, writer`

### Fields inherited from class net.sourceforge.pmd.AbstractPropertySource

`propertyDescriptors, propertyValuesByDescriptor`

### Constructor Summary

Constructors
Constructor and Description
`EmacsRenderer()`

### Method Summary

Methods
`String` `defaultFileExtension()` Return the default filename extension to use.
`void` `renderFileViolations(Iterator<RuleViolation> violations)` Render a series of `RuleViolation`s.

### Methods inherited from class net.sourceforge.pmd.renderers.AbstractIncrementingRenderer

`end, renderFileReport, start, startFileAnalysis`

### Methods inherited from class net.sourceforge.pmd.renderers.AbstractRenderer

`defineProperty, flush, getDescription, getName, getPropertyDefinitions, getWriter, isShowSuppressedViolations, setDescription, setName, setShowSuppressedViolations, setWriter`

### Methods inherited from class net.sourceforge.pmd.AbstractPropertySource

`copyPropertyDescriptors, copyPropertyValues, definePropertyDescriptor, dysfunctionReason, getPropertiesByPropertyDescriptor, getProperty, getPropertyDescriptor, getPropertyDescriptors, hasDescriptor, ignoredProperties, setProperty, useDefaultValueFor, usesDefaultValues`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface net.sourceforge.pmd.PropertySource

`definePropertyDescriptor, dysfunctionReason, getPropertiesByPropertyDescriptor, getProperty, getPropertyDescriptor, getPropertyDescriptors, hasDescriptor, ignoredProperties, setProperty, useDefaultValueFor, usesDefaultValues`

### Field Detail

#### NAME

    public static final String NAME

See Also:
  Constant Field Values

#### EOL

    protected static final String EOL

### Constructor Detail

#### EmacsRenderer

    public EmacsRenderer()

### Method Detail

#### defaultFileExtension

    public String defaultFileExtension()

Description copied from interface: `Renderer`
Return the default filename extension to use.

Returns:
  String

#### renderFileViolations

    public void renderFileViolations(Iterator<RuleViolation> violations)
                              throws IOException

Render a series of `RuleViolation`s.

Specified by:
  `renderFileViolations` in class `AbstractIncrementingRenderer`
Parameters:
  `violations` - The iterator of violations to render.
Throws:
  `IOException`